build: Bump minimum version of meson required

Meson gives the warning:

WARNING: Project specifies a minimum meson_version '>= 0.46.0' but uses features which were added in newer versions:
 * 0.50.0: {'install arg in configure_file'}
1 job for master in 1 minute and 33 seconds (queued for 1 minute and 16 seconds)
Status Job ID Name Coverage
  Test
passed #576688
build-fedora

00:01:33